package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;


/******************
 * @author Shakato
 ******************/
public class DetailTriaseVO extends BaseMasterVO {
	@NotNull(message="Kode Triase tidak boleh kosong")
	@Column(name = "kdTriase", nullable = false)
	@Caption(value="Kode Triase")
	private short kdTriage;

	@NotNull(message="Nama Triase Kelulusan tidak boleh kosong")
	@Column(name = "namaTriage", nullable = false )
	@Caption(value="Nama Triase")
	private String namaTriage;

	@NotNull(message="Jenis Pemeriksaan tidak boleh kosong")
	@Column(name = "jenisPemeriksaan", nullable = false )
	@Caption(value="Jenis Pemerikasaan")
	private String jenisPemeriksaan;

	@NotNull(message="qDetailTriage tidak boleh kosong")
	@Column(name = "qDetailTriage", nullable = false )
	@Caption(value="QDetailTriage")
	private short qDetailTriage;

	public short getKdTriage() {
		return kdTriage;
	}

	public void setKdTriage(short kdTriage) {
		this.kdTriage = kdTriage;
	}

	public String getNamaTriage() {
		return namaTriage;
	}

	public void setNamaTriage(String namaTriage) {
		this.namaTriage = namaTriage;
	}

	public String getJenisPemeriksaan() {
		return jenisPemeriksaan;
	}

	public void setJenisPemeriksaan(String jenisPemeriksaan) {
		this.jenisPemeriksaan = jenisPemeriksaan;
	}

	public short getqDetailTriage() {
		return qDetailTriage;
	}

	public void setqDetailTriage(short qDetailTriage) {
		this.qDetailTriage = qDetailTriage;
	}
}

